Antworten auf Ihre häufigsten Fragen

Wie kann ich Microsoft .NET Framework 3.0/3.5/4.0/4.5 installieren?
pdf print

Darf das .NET Framework installiert werden

Grundsätzlich dürfen KEINE Windows Updates auf virtuellen Servern installiert werden. Dies würde dazu führen, dass Ihr Server beschädigt wird und nicht mehr startet. Das .NET Framework hingegen ist kein direktes Windows-Update und kann installiert werden.

Das .NET Framework darf nicht über die Windows Updates installiert werden, da hier noch weitere Updates installiert werden, die das System beschädigen werden. Installieren Sie das Windows .NET Framework nur manuell.

Vorgehensweise unter Windows Server 2012/2012 R2

.NET 3.5 und .NET 4.5 kann über den Server Manager unter "Dashboard" -> "Rollen und Features hinzufügen" -> "Rollenbasierte oder featurebasierte Installation" -> "weiter" -> "Einen Server aus dem Serverpool auswählen" -> "weiter" -> "weiter" über den Menüpunkt ".NET Framework 3.5 Features" bzw ".NET Framework 4.5 Features" installiert werden.

Vorgehensweise unter Windows Server 2008/2008 R2

.NET 3.5 kann über den Server Manager unter "Features - Features hinzufügen - .NET Framework 3.5.1-Features" installiert werden.
.NET 4.0 kann ohne weitere Voraussetzungen über den bei Microsoft verfügbaren Installer installiert werden

.NET 4.5 kann ebenfalls direkt hier bei Microsoft herutergeladen werden.

Hinweise zu Plesk-Systemen

Unter Umständen erkennt Plesk eine frische Installation des .NET-Frameworks nicht umgehend. Dies lässt sich normalerweise entweder durch einen Reboot des Servers oder ein Klicken auf den Aktualisieren-Button der Plesk-Komponentenliste (Tools & Einstellungen -> Serverkomponenten) korrigieren.

Das .NET-Framework 4.5 wird von der Plesk-Umgebung genau wie das .NET-Framework 4.0 lediglich als Version 4.0  aufgelistet. Dies ist absolut normal und sollte kein Problem darstellen.

Besonderheiten unter Windows Server 2003

Die Installation des Microsoft .NET Frameworks in neueren Versionen (3.x/4) scheitert unter Windows Server 2003 ohne Weiteres. Hier erfahren Sie mehr darüber, wie es trotzdem installiert werden kann. 

Leider scheitert eine erfolgreiche Installation an dem Katalog der Sicherheitsdatenbanken von Windows. Nach dem Aufruf der Installationsroutine bricht die Installation ab und meldet den folgenden Fehler in der Logdatei:

[01/01/08, 12:00:00] WapUI: [2] DepCheck indicates Microsoft . NET Framework
3. 0SP1 (CBS) was not attempted to be installed.

x64 Installer is not installed    

Um die Installation erfolgreich durchzuführen, gehen Sie bitte wie folgt vor:

1. Führen Sie einen Reboot des Systems durch.

2. Öffnen Sie eine Kommandozeile unter "Start > Ausführen > cmd" und geben die folgenden Befehle ein:

ren C:\WINDOWS\system32\CatRoot CatRoot-bak

ren C:\WINDOWS\system32\CatRoot2 CatRoot2-bak

3. Stellen Sie sicher, dass der Dienst "Print Spooler" gestartet ist. Dies können Sie über "Start - ausführen - services.msc" prüfen.

4. Starten Sie die Installationsroutine für das .NET-Framework und folgen Sie den Anweisungen der Installationsroutine.

Abschließend kann ein Neustart notwendig sein.

 


otto.friedrich@hosteurope.de xanthippe.ypsilante@hosteurope.de hercules.ikarus@hosteurope.de